#ifndef PC
	#include <unistd.h>
	#include <signal.h>
#else
	int unlink(const char*);
	int close(int);
#endif

#ifndef BINDIR
	#ifdef PC
		#define BINDIR	""
	#else
		#define BINDIR	"/usr/bin/"
	#endif
#endif

#ifndef LX
	#define LX	"uno_local"
#endif

#ifndef GX
	#define GX	"uno_global"
#endif

#include "tree.h"

/* #define MODULE_NAME		"UnoOutOfBoundAccessCheckModule"
#define MODULE_ID		1
#define MODULE_REVISION_NO	1.0 */

static int  localonly, usecheck;
static int  glob_base, verbose, glob_prop;
static char *w_dir;

#define BSIZE	4096

static char loc_args[BSIZE];
static char glob_cmd[BSIZE];
static char buf[BSIZE];

typedef struct Fnm Fnm;
struct Fnm 
{
	char *f;
	Fnm *nxt;
};

static Fnm *fnames;

char* m_pText;
char* m_pData;
char* m_pBuf;

int g_nCheckOption;
char* g_pszFileName;

treenode* g_pParseTree;

//  ϱ  ʱȭ , free ݵ

// --------------------------
char** pMainArgument;
char** pLocalCheckArgument;
char** pGlobalCheckArgument;
// --------------------------

extern int GlobalCheck(int argc, char **argv);
extern int LocalCheck(int argc, char **argv);

int UnoCheck( char* pBuffer );
int UnoCheckEx( int argc, char *argv[] , treenode* pParseTree , char* pszFileName );
