// PBuffer.h: interface for the PBuffer class.
//
//////////////////////////////////////////////////////////////////////

/* #if !defined(AFX_PBUFFER_H__0D14B497_0E25_454B_9C8C_462AA1BE991F__INCLUDED_)
#define AFX_PBUFFER_H__0D14B497_0E25_454B_9C8C_462AA1BE991F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000 */

#ifndef __PBUFFER_H__
#define __PBUFFER_H__

#include <iostream>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <assert.h>

using namespace std;

class PBuffer  
{
private:
	char* m_pBuffer;
	int m_nUsedLength;
	int m_nBufferLength;

public:
	PBuffer();
	virtual ~PBuffer();

	char*	GetBuffer()
	{
		return m_pBuffer;
	}
	int	GetBufferUsedLength()
	{
		return m_nUsedLength;
	}
	int	GetBufferLength()
	{
		return m_nBufferLength;
	}

	bool IsEmpty();
	void Clear();
	void UsedLength( int nLength );
	void AddTail( char* pBuffer, int nLength );
};

#endif // !defined(AFX_PBUFFER_H__0D14B497_0E25_454B_9C8C_462AA1BE991F__INCLUDED_)
